Protected Storage PassView v1.62
Copyright (c) 2002 - 2004 Nir Sofer

Description

Protected Storage PassView is a small utility that reveals the passwords stored on your computer by Internet Explorer, Outlook Express and MSN Explorer. The passwords are revealed by reading the information from the Protected Storage.
Starting from version 1.60, this utility reveals all AutoComplete strings stored in Internet Explorer, not only the AutoComplete password, as in the previous versions.

This utility can show 4 types of passwords:

  1. Outlook passwords: When you create a mail account in Outlook Express or a POP3 account in Microsoft Outlook, and you choose the "Remember password" option in the account properties, the password is saved in the Protected Storage, and this utility can instantly reveal it.
    Be aware that if delete an existing Outlook Express account, the password won't be removed from the Protected Storage. In such a case, the utility won't be able to obtain the user-name of the deleted account, and only the password will be shown.
    Starting from version 1.50, the passwords of Outlook Express identities are also displayed.
  2. AutoComplete passwords in Internet Explorer: Many Web sites provides you a logon screen with user-name and password fields. When you log into the Web site, Internet Explorer may ask you if you want to remember the password for the next time that you log into this Web site. If choose to remember the password, the user-name and the password are saved in the Protected Storage, and thus they can be revealed by Protected Storage PassView.
    In some circumstances, multiple pairs of user-name and passwords are stored for the same logon window. In such case, the additional passwords will be displayed as sub-items of the first user-password pair. In sub-items, the resource name is displayed as 3 dots ('...')
  3. Password-protected sites in Internet Explorer: Some Web sites allows you to log on by using "basic authentication" or "challenge/response" authentication. When you enter the Web site, Internet Explorer displays a special logon dialog-box and asks you to enter your user-name and password. Internet Explorer also gives you the option to save the user-name/password pair for the next time you log-on. If you choose to save the logon data, the user-name and the password are saved in the Protected Storage, and thus they can be revealed by Protected Storage PassView.
    In this category, you can also find the passwords of FTP servers.
  4. MSN Explorer Passwords:
    The MSN Explorer browser stores 2 types of passwords in the Protected Storage:
    • Sign-up passwords
    • AutoComplete passwords

By default, this utility shows all 4 types of passwords. You can select to show or hide a specific type of password, by choosing the right password type from the View menu.

This utility can only show the passwords of the current logged-on user. it cannot reveal the passwords of other users.

About The Protected Storage

The Protected Storage information is saved in a special location in the Registry. The base key of the Protected Storage is located under the following key:
"HKEY_CURRENT_USER\Software\Microsoft\Protected Storage System Provider"
You can browse the above key in the Registry Editor (RegEdit), but you won't be able to watch the passwords, because they are encrypted. Also, some passwords data are hidden by the operating system.

System Requirements

  • Windows operating system: Windows 95/98/ME, Windows NT, Windows 2000 or Windows XP.
  • Internet Explorer, Versions 4.0 - 6.0

Know Problems

In some computers, the Protected Storage system doesn't save any password, and when you run the pspv utility, you get an empty window without any password or other data. You might also receive 'Cannot connect to the protected storage' error message.
If your system has this kind of problem, you can try to resolve it by using the following articles in Microsoft Web site:
  • AutoComplete Does Not Save Username and Password
  • Delayed Response When Editing Internet Explorer Forms and Outlook Express May Take a Long Time to Start

Versions History

Date | Version | Description
22/08/041.62
  • Fixed bug: On computers with very large AutoComplete list, some items were not displayed.
01/06/041.61
  • Ability to translate to other languages.
  • Copy to clipboard in tab-delimited format.
15/10/031.60
  • Display all types of AutoComplete strings, not only the passwords. It also allows you to export AutoComplete strings, and then import them to another computer or to another OS.
  • Find Dialog-Box
20/07/031.52
  • View raw data in HTML format.
22/06/031.51
  • Added the ability to change the location of a column by dragging it to the desired location.
  • All your settings (window size, columns and more) are automatically saved, and loaded in the next time that you run the utility.
10/06/031.50
  • Save Protected Storage passwords in HTML file.
  • Added support for directory service accounts and news accounts of Outlook Express.
  • Added support for multiple identities in Outlook Express.
  • Added support for user names and passwords of Outlook Express identities.
23/05/031.40
  • Added support for MSN Explorer passwords.
  • Added support for the account passwords of Outlook 2002 (POP3, IMAP, HTTP and SMTP accounts).
  • Added support for SMTP passwords in Outlook 2000.
  • Save raw data from the Protected Storage.
30/04/031.32
  • Added support for MS Outlook passwords. (POP3 accounts only)
  • Save as tabular text-files.
18/04/031.31
  • Fixed bug: Problem with FTP passwords in Windows XP.
  • Significant decrease in size of the executable.
05/03/031.30
  • Added command-line support.
  • Added popup menus.
  • Added the option to open the Web site related to the password item.
15/02/03 | 1.21 | Fixed bug with IMAP and HTTP items of Outlook Express.
16/12/021.20
  • Added the ability to save the passwords information in tab-delimited format.
  • Export / Import: allows you to easily move your passwords from one computer to another.
  • Refresh (F5)
  • Fixed bug: The previous version was unable to properly decrypt the passwords of FTP servers.
  • Fixed problem: in previous versions, only one pair of user name and password was shown for each Web site (AutoComplete passwords), even if there was more than one password.
09/09/02 | 1.10 | Added support for password deletion.
16/07/02 | 1.00 | First release.

License

This utility is released as freeware for personal use. Do not use this utility for illegal activity, and do not use it for getting passwords of a computer that is not yours. If you distribute this utility, you must include the executable file and the readme file in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Using Protected Storage PassView

This utility is a standalone executable, and it doesn't require any installation process or additional DLL files. In order to use it, extract the executable file (pspv.exe) to any folder your want, and run it.

After you run this utility, you'll get a window with 4 columns containing the list of the Protected Storage passwords. You can easily select the desired passwords, and then save them into a readable or tab-limited text file , or copy them into the clipboard.
If you want to delete one or more passwords, select the desired items in the list, and choose the "Delete Selected Items" from the File menu. You can also delete the items by clicking the "Delete" key.
Notice: When a Web page has more than one pair of user and password, you cannot delete a single password and keep that others. You can only delete all passwords together by selecting the first major password of the Web page.

Moving your passwords and AutoComplete strings to another computer

Starting from version 1.20, you can easily move your passwords and AutoComplete strings to another computer, or to another operating system in the same computer, by using the Export/Import feature. Be aware that the passwords of Outlook and MSN Explorer cannot be moved to another computer due to a technical limitation.

In order to move your passwords, follow strictly the instructions below:

  1. In the operating system that contains the items you want to copy:
    1. Run the 'Protected Storage PassView' utility.
    2. Select the passwords and AutoComplete strings that you want to move. If you want to move all your items, press Ctrl+A ('Select All').
    3. From the "Import / Export" menu, select "Export Selected Items".
    4. Select or type the filename for saving all selected items into a file.
  2. In the destination operating system:
    1. Run the 'Protected Storage PassView' utility.
    2. From the "Import / Export" menu, select "Import Items".
    3. Select the exported file that you saved in the previous stage.
    4. If nothing goes wrong, you should now be able to use your passwords and AutoComplete strings in the destination computer.

You can also move all your passwords and AutoComplete fields from one computer to another by using the '/exp' and '/imp' command-line options (See below)

Saving the raw data of the Protected Storage

This utility automatically reads the data from the Protected Storage, analyzes it, and displays the passwords categorized by the software that created them. However, if you want the watch the data of the Protected Storage without any additional processing, you can save all Protected Storage data to a text file by using the "Save raw data" option. The text file created by this option contains all data stored in the Protected Storage, even if it's not recognized by this utility.

Command-line options

/shtml <Filename> | Save all Protected Storage items into HTML file.
/stext <Filename> | Save all Protected Storage items into a text file.
/stab <Filename> | Save all Protected Storage items into a tab-delimited text file.
/stabular <Filename> | Save all Protected Storage items into a tabular text file.
/exp <Filename> | Export all Protected Storage items into a file.
/imp <Filename> | Import all items from a file into the Protected Storage.
/raw <Filename> | Save raw data: Save all Protected Storage data into a text file.
/rawhtml <Filename> | Save raw data: Save all Protected Storage data into HTML file.

Remark: If the filename contains one or more space characters, you must enclose it with quotes ("").
Examples:
pspv.exe /stext c:\MyFolder\pass.txt
pspv.exe /exp "c:\My Documents\exp1.txt"
pspv.exe /imp "c:\My Documents\exp1.txt"

Translating to other languages

In order to translate this utility to another language, follow the instructions below:
  1. Run pspv with /savelangfile parameter:
    pspv.exe /savelangfile
    A file named pspv_lng.ini will be created in the folder of pspv utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all menus and string entries to the desired language.
  4. After you finish the translation, Run pspv, and all translated strings will be loaded from the language file.
    If you want to run pspv without the translation, simply rename the language file, or move it to another folder.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com